<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Booking confirmation | Midtown Hotel</title>
    <?php require('./components/link.php') ?>
    <style>
        .booking-hero{
            position: relative;
            width: 100%;
            background-color: #194141;
            display: flex;
            flex-direction: column;
            box-shadow: 0px 3px 3px #BFCBCB;
        }
        .booking-title{
            margin: 50px;
            text-align: center;
            text-transform: uppercase;
            font-size: 22px;
            color: #B0A695;
            text-shadow: 1px 1px 2px #EAD8C0;
        }
        .custom-alert-t{
            position:fixed; 
            top: 100px; 
            right: 25px;
            z-index: 10000;
        }
        @media (max-width:765px){
            .booking-hero{
                height: 100px;
            }
        }
    </style>
</head>
<body>
    <div class="booking-hero">
        <?php require('./components/header.php') ?>
    </div>
    <?php
        if(!isset($_GET['id']) || $settings_r['shutdown'] == true){
            redirect('booking.php');
        } else if(!(isset($_SESSION['login']) && $_SESSION['login'] == true)){
            redirect('booking.php');
        }

        $data = filteration($_GET);
        $room_res = select("SELECT * FROM `rooms` WHERE `id`=? AND `status`=? AND `removed`=?", [$data['id'], 1, 0], 'iii');

        if(mysqli_num_rows($room_res) == 0){
            redirect('booking.php');
        }

        $room_data = mysqli_fetch_assoc($room_res);

        
        //get accommodation & additional accommodation
        $accom_q = mysqli_query($con, "SELECT a.name FROM `accommodation` a INNER JOIN `room_accommodation` raccom ON a.id = raccom.accommodation_id WHERE raccom.room_id = '$room_data[id]'");
            $accommodation_data = "";   

            while($accom_row = mysqli_fetch_assoc($accom_q)){
                $accommodation_data .="<p style='font-size: 14px;'>&#9642; $accom_row[name]</p>";                            
            }
            //get additional accommodation data from database
            $addi_q = mysqli_query($con, "SELECT a.name FROM `additional_accomm` a INNER JOIN `room_additionalAccom` raddi ON a.id = raddi.additionalAccom_id WHERE raddi.room_id = '$room_data[id]'");
            $additionalAccom_data = "";
                        
            while($addi_row = mysqli_fetch_assoc($addi_q)){
                $additionalAccom_data .="<p style='font-size: 14px;'>&#9642; $addi_row[name]</p>";                            
            }
    ?>
    <div class="container">
        <div class="row">
            <div class="col-12 mt-5 mb-4">
                <h4 style="text-transform: uppercase; letter-spacing: 2px; color: #194141;"><?php echo $room_data['name']?><h4>
            </div>
            <div class="col-lg-7 col-md-12">
                <div id="roomCarousel" class="carousel slide" data-bs-ride="carousel">
                    <div class="carousel-inner">
                        <?php
                            //get cover image
                            $room_cover = ROOM_IMG_PATH."logo.png";
                            $cover_q = mysqli_query($con, "SELECT * FROM `room_images` WHERE `room_id`='$room_data[id]'");

                            if(mysqli_num_rows($cover_q) > 0){
                                $active_class = 'active';
                                while($cover_res = mysqli_fetch_assoc($cover_q)){
                                    echo "
                                        <div class='carousel-item $active_class'>
                                            <img src='".ROOM_IMG_PATH.$cover_res['image']."' class='d-block w-100' alt='room' style='width: 100%; height: 550px; object-fit: cover;'>
                                        </div>
                                    ";
                                    $active_class = '';
                                }
                                
                            } else{
                                echo "
                                    <div class='carousel-item active'>
                                        <img src='$room_cover' class='d-block w-100' alt='room'>
                                    </div>
                                ";
                            }
                        ?>
                    </div>
                    <button class="carousel-control-prev" type="button" data-bs-target="#roomCarousel" data-bs-slide="prev">
                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                        <span class="visually-hidden">Previous</span>
                    </button>
                    <button class="carousel-control-next" type="button" data-bs-target="#roomCarousel" data-bs-slide="next">
                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                        <span class="visually-hidden">Next</span>
                    </button>
                </div>
            </div>
            <div class="col-lg-5 col-nd-12">
                <div class="card mb-4 border-0 shadow-sm">
                    <div class="card-body" style="background-color: #EBF4F6;">
                        <?php
                            echo <<< data
                                <div style="display: flex; justify-content: space-between; align-items: center; font-weight: 600;">
                                    <p style="font-size: 20px; text-transform: uppercase; ">$room_data[name] <span style="font-size: 16px; text-transform: none;" >($room_data[area] sq.ft.)</span></p>
                                    <p style="font-size: 16px;">$$room_data[price]/night</p>
                                </div>
                                <div class="my-4 mx-2">
                                    <p class="room-title" style="font-weight: 600;">Room Detail</p>
                                    <div style="font-size: 14px;">$room_data[detail]</div>
                                </div>
                                <div class="my-4 mx-2">
                                    <p class="room-title" style="font-weight: 600;">Accommodation</p>
                                    <div>$accommodation_data</div>
                                </div>
                                <div class="my-4 mx-2">
                                    <p class="room-title" style="font-weight: 600;">Additional Accommodation</p>
                                    <div>$additionalAccom_data</div>
                                </div>
                                <div class="d-flex gap-2 items-center justify-content-center m-4">
                                    <a href="./booking.php" class="btn-main d-block" style="font-size: 14px;">Book Now</a>
                                </div>
                            data;
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>







<!--footer-->
<?php require('./components/footer.php'); ?>

<?php require('./components/script.php') ?>
</body>
</html>